Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Query Parameters

team_id
string | null

ID of the team. When omitted, the team you belong to; required when you belong to several.

Minimum string length: 1
Example:

"abc1234"

Response

200 - application/json
team_id
string
required

ID of the team.

Example:

"abc1234"

team_name
string
required

Name of the team.

Example:

"Engineering"

harness_defaults
GridHarnessDefaultsV1 · object
required

Route for each model role of each coding harness. A role with no route set by a team admin uses the default chosen from the team's Model API routes: the recommended model for primary and the lowest-priced model for background. These defaults never use external-provider routes.

spend_limit
GridTeamSpendLimitSettingV1 · object
required

Spend limits for Baseten Grid for members' spend in this team.